org.richfaces.component.attribute

## Interface MultiSelectProps

- All Superinterfaces:
    SelectProps
  All Known Implementing Classes:
    AbstractOrderingComponent, AbstractOrderingList, AbstractPickList, AbstractSelectManyComponent, UIOrderingList, UIPickList

      public interface MultiSelectProps
      extends SelectProps

  Interface defining the methods for multiselect-props.xml
  Author:
    Brian Leathem

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getActiveClass()` Space-separated list of CSS style class(es) to be applied to the list element when it is in the "active" state.
    `String` | `getChangedClass()` Space-separated list of CSS style class(es) to be applied to the list element when it is in the "changed" state.
    `Object` | `getCollectionType()` Optional attribute that is a literal string that is the fully qualified class name of a concrete class that implements java.util.Collection, or an EL expression that evaluates to either 1.
    `String` | `getColumnClasses()` Space-separated list of CSS style class(es) to be applied to the columns of the list elements.
    `String` | `getDefaultLabel()` Used to set the display text when value is undefined
    `String` | `getHeaderClass()` Space-separated list of CSS style class(es) to be applied to the header element.
    `String` | `getListClass()` Space-separated list of CSS style class(es) to be applied to the list element.
    `String` | `getMaxListHeight()` The maximum height of the item list (in pixels).
    `String` | `getMinListHeight()` The minimum height of the item list (in pixels).
    `String` | `getOnblur()` Javascript code executed when this element loses focus.
    `String` | `getOnchange()` Javascript code executed when the list element loses focus and its value has been modified since gaining focus.
    `String` | `getOnfocus()` Javascript code executed when this element receives focus
    `String` | `getVar()` Expose the value from the value attribute under this request scoped key so that it may be referred to in EL for the value of other attributes.

    - ### Methods inherited from interface org.richfaces.component.attribute.SelectProps

      `getDisabledClass, getItemClass, getListHeight, getListWidth, getSelectItemClass`

- - ### Method Detail

    - #### getVar

          String getVar()

      Expose the value from the value attribute under this request scoped key so that it may be referred to in EL for the value of other attributes.

    - #### getCollectionType

          Object getCollectionType()

      Optional attribute that is a literal string that is the fully qualified class name of a concrete class that implements java.util.Collection, or an EL expression that evaluates to either 1. such a String, or 2. the Class object itself.

    - #### getMinListHeight

          String getMinListHeight()

      The minimum height of the item list (in pixels).

    - #### getMaxListHeight

          String getMaxListHeight()

      The maximum height of the item list (in pixels).

    - #### getDefaultLabel

          String getDefaultLabel()

      Description copied from interface: `SelectProps`
      Used to set the display text when value is undefined
      Specified by:
        `getDefaultLabel` in interface `SelectProps`

    - #### getActiveClass

          String getActiveClass()

      Description copied from interface: `SelectProps`
      Space-separated list of CSS style class(es) to be applied to the list element when it is in the "active" state. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getActiveClass` in interface `SelectProps`

    - #### getChangedClass

          String getChangedClass()

      Description copied from interface: `SelectProps`
      Space-separated list of CSS style class(es) to be applied to the list element when it is in the "changed" state. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getChangedClass` in interface `SelectProps`

    - #### getListClass

          String getListClass()

      Description copied from interface: `SelectProps`
      Space-separated list of CSS style class(es) to be applied to the list element. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getListClass` in interface `SelectProps`

    - #### getColumnClasses

          String getColumnClasses()

      Space-separated list of CSS style class(es) to be applied to the columns of the list elements. This value must be passed through as the "class" attribute on generated markup.

    - #### getHeaderClass

          String getHeaderClass()

      Space-separated list of CSS style class(es) to be applied to the header element. This value must be passed through as the "class" attribute on generated markup.

    - #### getOnchange

          String getOnchange()

      Javascript code executed when the list element loses focus and its value has been modified since gaining focus.

    - #### getOnfocus

          String getOnfocus()

      Javascript code executed when this element receives focus

    - #### getOnblur

          String getOnblur()

      Javascript code executed when this element loses focus.

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.